Installation Prerequisites

This section provides information about how to plan for your installation and prepare your environment before the installation. The topic includes:

Note:

On both Windows and Linux systems, the files and folders extracted from the downloaded archive should not be renamed or modified.

The installer for the Atrium CMDB / BMC Client Management integration components should be run on the system where Atrium CMDB is installed.

Linux Installation Prerequisites for Atrium CMDB Version 8.0 and later

In order to install the Atrium CMDB components on a Linux system, the following prerequisites must be met:

  • The system where the integration component must have a GUI installed.
  • All files and folders provided with the installer must be marked as executable. From the directory where the installation files were extracted to, run chmod -R +x * to mark the files as executable.
  • The BMC_AR_SYSTEM_HOME environment variable must be set to the location where the AR System is installed. This can usually be set by running export BMC_AR_SYSTEM_HOME=/opt/bmc/ARSystem (this example assumes that the AR System is installed in /opt/bmc/ARSystem) .

Linux Installation Prerequisites for Atrium CMDB Version 7.6.04 SP5 and later

In order to install the Atrium CMDB components on a Linux system, the following prerequisites must be met:

  • The system where the integration component must have a GUI installed.
  • Ensure that you provided execution rights to the installer folder, all its subfolders, and files. All files and folders provided with the installer must be marked as executable. From the directory where the installation files were extracted to, run chmod -R +x * to mark the files as executable.
  • Ensure that you set the environment variable for the installed location of BMC Atrium Integrator, export ATRIUMINTEGRATOR_HOME=/opt/bmc/AtriumIntegrator .

Client Management version 11.7 and version 12.0 installation prerequisites

To make sure your installation will also work with future versions of Client Management , you need to upgrade the database your current Client Management installation with the respective script, which is provided separately to the installer:

  • Oracle database: Atriumviews.sql.oracle
  • SQL Server database: Atriumviews.sql.sqlserver
  • PostgreSQL database: Atriumviews.sql.postgresql

To execute the script proceed as follows:

  1. Copy the script in the <InstallDir/master/data/Vision64Database/sql> directory.
  2. Stop your master.
  3. Open the Vision64Database.ini file in the <InstallDir/master/config> directory.
  4. Find the section SqlRunOnce .
  5. Below the explanation enter the name of the script corresponding to your database type preceded by the relative path, for example:
    name=../data/Vision64Database/sql/Atriumviews.sql.oracle
  6. Start the master.
    The script is executed and creates all required new tablespaces.

Java Runtime Environment Prerequisites

Depending on your BMC Atrium CMDB version, the following Java Runtime Environment (JRE) must be set as default JRE verseion:

  • BMC Atrium CMDB 9 or earlier: Java 1.7.0_55 or later
  • BMC Atrium CMDB 9.0.1 or later: Java 1.8.0_45 or later

Client Management SQL Server Windows Authentication Prerequisites

BMC Atrium Integrator 1.6 installer uses Java Database Connectivity (JDBC) driver to connect to a relational database management system (RDBMS). To handle the Windows Authentication, the SQL Server JDBC driver must be available in the Java Runtime Environment (JRE) installation folder.

The following are the prerequisites for using Windows Authentication:

  • BMC Atrium CMDB 8 or later (with Pentaho 4.x or later)
  • JDBC driver installed in JRE installation directory

Note

 Download a version of the JDBC driver that is compatible with the JRE and SQL Server versions. If you have multiple versions of JRE, ensure that you have copied the JDBC driver in the correct JRE folder.

To install JDBC driver, download the JDBC driver  file (sqljdbc_4.0.2206.100_enu.exe in this example), extract it locally, and copy the files as the following example for SQL server 2012 and 2014:

  • Copy \Microsoft JDBC Driver 4.0 for SQL Server\sqljdbc_4.0\enu\sqljdbc4.jar to <JRE Path>\lib\ext directory
  • Copy \Microsoft JDBC Driver 4.0 for SQL Server\sqljdbc_4.0\enu\auth\x64 (or x86 depending on you JRE version)\ sqljdbc_auth.dll to <JRE Path>\bin directory
    where, <JRE Path> is your JRE installation directory (for example, C:\Program Files (x86)\Java).

Note

 For using Windows Authentication, the SQL Server port value is mandatory.

Was this page helpful? Yes No Submitting... Thank you

Comments